title ' Forecast Profile for ARIMA(0,1,1) Model';
title2 'US Coffee Consumption 1910 through 1970';
title3 'Rob Hyndman Time Series Library:  coffee.dat';
data coffee; RETAIN TIME(1909);

 input cofcon;
time + 1;
lcofcon=log(cofcon);
DATE = INTNX('year','01JAN1910'd,_n_-1);
format Date YEAR.;
cards;
 9.2
 8.3
10.8
 9.0
 9.2
10.6
11.5
12.1
10.0
11.8
11.7
12.0
11.8
12.6
12.2
10.6
12.4
12.2
11.9
12.2
12.5
13.0
12.4
12.8
12.3
13.4
13.7
13.3
14.9
14.9
15.5
15.9
13.6
12.9
15.8
16.4
20.1
17.4
18.4
18.7
16.1
16.6
16.9
16.9
14.7
15.3
15.8
15.7
15.5
15.8
15.9
15.9
15.8
15.7
15.3
14.8
14.5
14.8
14.9
14.2
13.8
proc print;
run;
SYMBOL1 V=STAR C=BROWN I=SPLINE;
PROC GPLOT;
 PLOT COFCON * date/haxis=axis1;
title 'US Coffee Consumption 1910-1970';
RUN;
proc gplot;
  plot lcofcon*date;
title 'Log of US Coffee Consumption 1910-1970';
run;
data anno1; ;
  input date date9. text $ 11-50;
function='label'; angle = 90 ; xsys='2'; ysys='1';
x=date; y=50; position='B';
cards;
01jan1971 1971 Forecast Begins here
;



run;
proc arima data=coffee;
  i var=lcofcon(1) nlag=20;
  e q=1 printall plot noint method=ULS;
  f lead=12 id=date interval=year printall out=fore;
data new;
  merge fore coffee; by date;
if _n_  < 62 then forecast=.;
if _n_  < 62 then l95=.;
if _n_  < 62 then u95=.;
proc print;
run;
symbol1 i=spline c=green v=star;
symbol2 i=spline c=blue v=plus;
symbol3 i=spline c=red;
symbol4 i=spline c=red;
axis1 label=('Date') ;
proc gplot data=new;
  plot (lcofcon forecast l95 u95)*date/overlay
  haxis=axis1 href='01jan1971'd annotate=anno1;
title justify=L 'Figure 7.9   Forecast profile for ARIMA(0,1,1) model';
title2 'US Coffee Consumption 1910 through 1970';
title3 'Source: Rob Hyndman Time Series Data Library-extracted 1997';
title4 'World Wide Web URL:  http://www.maths.monash.edu.au/~hyndman/';
run;
